SMTPConnectionClosedException
Date: 2016-06-23

org.apache.commons.net.smtp

## Class SMTPConnectionClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.net.smtp.SMTPConnectionClosedException

- All Implemented Interfaces:
    java.io.Serializable

      public final class SMTPConnectionClosedException
      extends java.io.IOException

  SMTPConnectionClosedException is used to indicate the premature or unexpected closing of an SMTP connection resulting from a `SMTPReply.SERVICE_NOT_AVAILABLE` response (SMTP reply code 421) to a failed SMTP command. This exception is derived from IOException and therefore may be caught either as an IOException or specifically as an SMTPConnectionClosedException.
  See Also:
    `SMTP`, `SMTPClient`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMTPConnectionClosedException()` Constructs a SMTPConnectionClosedException with no message
    `SMTPConnectionClosedException(java.lang.String message)` Constructs a SMTPConnectionClosedException with a specified message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SMTPConnectionClosedException

          public SMTPConnectionClosedException()

      Constructs a SMTPConnectionClosedException with no message

    - #### SMTPConnectionClosedException

          public SMTPConnectionClosedException(java.lang.String message)

      Constructs a SMTPConnectionClosedException with a specified message.
      Parameters:
        `message` - The message explaining the reason for the exception.